extern void PrintFLResult(int **result, int num);
extern void PrintSLResult(int **result, int num, int key);

static void PlayFullLeague(int **result, participant_t **fun_table);
static void PlaySemiLeague(int **result, participant_t **fun_table, int first);
static void PlayGame(char *m_board, participant_t **think_fun,
		     const char *b_name, const char *w_name);
static void InitBoard(char *m_board);
static void PrintBoard(char *board, int place);
static void RepairBoard(char *board);
static void WaitInput(void);
static int isPass(char *board);
static void PrintHelp(int n);
static int mat_alloc(int ***p, size_t size1, size_t size2);
static void SelectPlayer(int *first, int *second);
static void PlayNormGame(int first, int second);
static void SetMode(int *argc, char ***argv);
static int OpenLogFile(char *logfilename);
static void num2oth(int p, char *position);
extern void fprinttime(FILE *fd);
extern void SetTime(void);
extern void StopTime(void);
