#include <stdio.h>
#ifndef NOT_SYS_TIME_H
#include <sys/time.h>
#endif

extern long think_t[2];
extern int turn;
extern long last_time;
static struct timeval tp;
static struct timeval ttp;

void SetTime(void)
{
  gettimeofday(&tp, NULL);
  ttp = tp;

  return;
}

void StopTime(void)
{
  long tmp;

  gettimeofday(&tp, NULL);
  tmp = ((tp.tv_sec - ttp.tv_sec) * 1000) + ((tp.tv_usec - ttp.tv_usec) / 1000);

  think_t[turn] += tmp;
  last_time = tmp;

  return;
}

long GetTime(void)
{
  long tmp;

  gettimeofday(&tp, NULL);
  tmp = ((tp.tv_sec - ttp.tv_sec) * 1000) + ((tp.tv_usec - ttp.tv_usec) / 1000);

  return(think_t[turn] + tmp);
}

void fprinttime(FILE *fd)
{
  time_t tm;
  char buf[16];
  char *p;

  p = buf;
  time(&tm);
  p = ctime(&tm);
  fprintf(fd, "%s", p);

  return;
}
